[ Maverik Level 1 functions ]

#

mav_matrixXAxisGet

mav_matrixXAxisGet, mav_matrixYAxisGet, mav_matrixZAxisGet

## Summary

Return the various axes of a matrix.

## Syntax

MAV_vector mav_matrixXAxisGet(MAV_matrix m);

MAV_vector mav_matrixYAxisGet(MAV_matrix m);

MAV_vector mav_matrixZAxisGet(MAV_matrix m);

- MAV_matrix m
  Matrix in question.

## Description

These functions return the axes of matrix `m`, i.e. the result of multiplying the principle axis by `m`. This will be the vector the axis will map onto if `m` is used to transform coordinate systems.

Back to the index page.